<template>
    <div class="text-white">
        <transition name="slide-fade">
            <h3 class="text-white mb-5">
                <strong>{{ playlistName }}</strong>
            </h3>
        </transition>
        <transition name="slide-fade">
            <ul class="mt-5 w-50" v-if="playlistSongs.length !== 0">
                <li v-for="song in playlistSongs">
                    <button class="btn btn-outline-dark text-white w-100 text-left song" :class="{ active : activeSong === song.id }" :id="song.id" @click="play(song)">
                        <p>
                            <span style="font-size: 18px" v-if="playing && activeSong === song.id">&#9646;&#9646;</span>
                            <span v-else class="play-icon">&#9658;</span>
                            {{ song.title }}
                        </p>
                    </button>
                </li>
            </ul>
            <h5 class="text-white mb-5" v-else>
                <strong>No tracks yet.</strong>
            </h5>
        </transition>
    </div>
</template>

<script>
export default {
    name: "PlaylistSongs",

    props: {
        id: 0,
        playing: Boolean,
        activeSong: 0
    },

    data() {
        return {
            playlistSongs: [],
            playlistName: ''
        }
    },

    created() {
        this.getPlaylistSongs();
    },

    methods: {
        getPlaylistSongs(){
            axios
                .get('/api/get/'+this.id+'/songs')
                .then(({data}) => {
                    this.playlistSongs = data.songs;
                    this.playlistName = data.name;
                })
                .catch(error => console.log(error.response.data));
        },

        play(song){
            this.$emit('play', { current: song, songs: this.playlistSongs, isPlaying: true });
        },

        pause(){
            this.$emit('pause');
        }
    },

    watch:{
        playing: function (newVal, oldVal) {},

        activeSong: function (newVal, oldVal) {},
    }
}
</script>

<style scopped>
    li{
        list-style: none;
    }
    .song{
        border: none;
    }
</style>
